aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorJulius Huelsmann <huelsmann@campus.tu-berlin.de>2018-05-17 18:07:33 +0800
committerAlex Beregszaszi <alex@rtfs.hu>2018-05-17 20:39:12 +0800
commit4690f837e0389cff5f11a320a08aeb54d752f087 (patch)
treec04704a5ad4ad9f8712a6a01adb5d13edb7c014b
parent0fdb226fd8d352f6b2b84e3efc61cd674e93ab1b (diff)
downloaddexon-solidity-4690f837e0389cff5f11a320a08aeb54d752f087.tar.gz
dexon-solidity-4690f837e0389cff5f11a320a08aeb54d752f087.tar.zst
dexon-solidity-4690f837e0389cff5f11a320a08aeb54d752f087.zip
Fix install_deps.sh script for Arch Linux.
Also added cvc4 as dependency.
-rwxr-xr-xscripts/install_deps.sh7
1 files changed, 3 insertions, 4 deletions
diff --git a/scripts/install_deps.sh b/scripts/install_deps.sh
index fa5551bf..1843b064 100755
--- a/scripts/install_deps.sh
+++ b/scripts/install_deps.sh
@@ -133,19 +133,18 @@ case $(uname -s) in
# Arch Linux
#------------------------------------------------------------------------------
- Arch)
+ Arch*)
#Arch
echo "Installing solidity dependencies on Arch Linux."
# All our dependencies can be found in the Arch Linux official repositories.
# See https://wiki.archlinux.org/index.php/Official_repositories
- # Also adding ethereum-git to allow for testing with the `eth` client
sudo pacman -Syu \
base-devel \
boost \
cmake \
git \
- ethereum-git \
+ cvc4
;;
#------------------------------------------------------------------------------
@@ -329,7 +328,7 @@ case $(uname -s) in
"$install_z3"
if [ "$CI" = true ]; then
# install Z3 from PPA if the distribution does not provide it
- if ! dpkg -l libz3-dev > /dev/null 2>&1
+ if ! dpkg -l libz3-dev > /dev/null 2>&1
then
sudo apt-add-repository -y ppa:hvr/z3
sudo apt-get -y update